/**********************************************************

*************************************************
**	Copyright (C) 2002-2004 SENG digitale Syteme GmbH
**
**	SENG digitale Systeme GmbH
**	Im Bruckwasen 35
**	D 73037 Goeppingen
**	Germany
**	http://www.seng.de
*************************************************


	Datei:	dlk51_dll_Export.h
	
	SENG digitale Systeme GmbH

	Prototypen der exportierten Funktionen von dlk51_dll.dll

**********************************************************/

#ifndef _DllEXPORT_H
	#define _DllEXPORT_H

	#ifdef _WINDLL		// Br, 21.05.2000	
		#define DllImExport extern "C" __declspec( dllexport )	// DLL exportiert Funktionen
	#else
		#define DllImExport extern "C" __declspec( dllimport )	// Programm importiert DLL-Funktionen
	#endif
	typedef void	(CALLBACK *PFKTMESSAGE)(LPCSTR);	// Typedef fr Callback-Message-Funktion 	


	/////////////////////////////////////////////////////////////////
	// Prototypen der DLL-exportierten Funktionen von dlk51_dll.dll
	/////////////////////////////////////////////////////////////////

	// Functions defined in "dlk51_dllMain.cpp"
	DllImExport BOOL CALLBACK HwaccInit_EnableDllMessages( PFKTMESSAGE pfn );
	DllImExport void CALLBACK HwaccDeInit(void);
	
	
	// Functions defined in "Functions017callback.cpp"
	DllImExport BOOL CALLBACK InterpreteDlk51Dat(void);
	DllImExport int CALLBACK SetupDlk51(USHORT uIoPort);
	
	DllImExport void CALLBACK DeInitDlk51(int iFpgaStatus);

	DllImExport void CALLBACK outbyte( BYTE, BYTE );
	DllImExport void CALLBACK outbyteS( BYTE );
	DllImExport BYTE CALLBACK inbyte( BYTE );
	DllImExport BYTE CALLBACK inbyteS( void );
	DllImExport void CALLBACK PPinitSet(BOOL bSet);
	DllImExport void CALLBACK PPirqenSet(BOOL bSet);
	DllImExport BOOL CALLBACK PPackGet(void);

	DllImExport int CALLBACK FpgaConfig(char *filename, int iFullPath, int iRefreshRun);
	DllImExport int CALLBACK FpgaCfgForSetup(BOOL FlagCfgIsSetup, BOOL FlagMustCfg);
	DllImExport void CALLBACK CpuReset(int iStayReset);
	DllImExport void CALLBACK CpuRunFile(int iFileNo);
	DllImExport BOOL CALLBACK IsDeviceInitialized(void);
	DllImExport int CALLBACK GetTransferRate(int iMode, BYTE WRport, BYTE RDport, int iKBvolume);

	DllImExport int CALLBACK FlashChipErase(void);
	DllImExport int CALLBACK FlashSectorErase(UINT uAddress);
	DllImExport int CALLBACK FlashProgram( char *FileName, UINT FlashStartAdr, UINT FlashEndAdr, UINT FileOffsetAdr, int DoVerify, int iSwapMsbLsb);
	DllImExport int CALLBACK FlashVerify( char *FileName, UINT FlashStartAdr, UINT FlashEndAdr, UINT FileOffsetAdr, int iSwapMsbLsb);
	DllImExport int CALLBACK FlashRead2File( char *FileName, UINT FlashStartAdr, UINT FlashEndAdr);
	DllImExport int CALLBACK Basic2File(char *filename, ULONG iSRAMsize);
	DllImExport int CALLBACK BasicFlash(char *FileName, UINT uMemOffset);

	DllImExport BOOL CALLBACK AutoSetup( BOOL bAutoSetup, BOOL bSetRefVoltage, int &iIoLptAdr, float &fRefVoltage);
	
	
#endif // _DllEXPORT_H


