/*************************************************
**	Copyright (C) 2002 SENG digitale Syteme GmbH
**
**	SENG digitale Systeme GmbH
**	Im Bruckwasen 35
**	D 73037 Goeppingen
**	Germany
**	http://www.seng.de
*************************************************/



// OutInByteDlg.cpp: Implementierungsdatei
//

#include "stdafx.h"

#include "dlk51_dll_Export.h"	// Import von exportierten DLL-Funktionen

#include "dlk51.h"
#include "OutInByteDlg.h"
#include "SetupDlg.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld COutInByteDlg 


COutInByteDlg::COutInByteDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COutInByteDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COutInByteDlg)
	m_sOutbyteAddress = _T("");
	m_sOutbyteData = _T("");
	m_sInByteAddress = _T("");
	m_sInByteData = _T("");
	//}}AFX_DATA_INIT
}


void COutInByteDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COutInByteDlg)
	DDX_Text(pDX, IDC_EDIT_OUT_ADDRESS, m_sOutbyteAddress);
	DDX_Text(pDX, IDC_EDIT_OUT_DATA, m_sOutbyteData);
	DDX_Text(pDX, IDC_EDIT_INBYTE_ADDRESS, m_sInByteAddress);
	DDX_Text(pDX, IDC_EDIT_INBYTE_DATA, m_sInByteData);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COutInByteDlg, CDialog)
	//{{AFX_MSG_MAP(COutInByteDlg)
	ON_BN_CLICKED(IDC_BUT_OUTBYTE, OnButOutByte)
	ON_BN_CLICKED(IDC_BUT_INBYTE, OnButInbyte)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten COutInByteDlg 


void COutInByteDlg::OnButOutByte() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	USHORT uAddress, uData;

	UpdateData(TRUE);	// Controls --> members
	sscanf( m_sOutbyteAddress, "%x", &uAddress );
	sscanf( m_sOutbyteData, "%2X", &uData );
	
	outbyte( (BYTE)uAddress, (BYTE)uData );
}


void COutInByteDlg::OnButInbyte() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	USHORT uAddress, uData;

	UpdateData(TRUE);	// Controls --> members

	CString sAddress;
	sscanf( m_sInByteAddress,	"%x",	&uAddress );

	CString s;
	uData = inbyte( (BYTE)uAddress );
	s.Format( "%.2X", uData );
	GetDlgItem(IDC_EDIT_INBYTE_DATA)->SetWindowText(s);
		
}
