/*************************************************
**	Copyright (C) 2002 SENG digitale Syteme GmbH
**
**	SENG digitale Systeme GmbH
**	Im Bruckwasen 35
**	D 73037 Goeppingen
**	Germany
**	http://www.seng.de
*************************************************/


// ProgressDlg.h : Header-Datei
// CG: Diese Datei wurde von der Komponente "Dialogfeld Fortschritt" hinzugefgt

/////////////////////////////////////////////////////////////////////////////
// CProgressDlg Dialogfeld

#ifndef __PROGRESSDLG_H__
#define __PROGRESSDLG_H__

class CProgressDlg : public CDialog
{
// Konstruktion / Destruktion
public:
    CProgressDlg(UINT nCaptionID = 0);   // Standard-Konstruktor
    ~CProgressDlg();

    BOOL Create(CWnd *pParent=NULL);

    // Schaltflche "Abbrechen" wird geprft
    BOOL CheckCancelButton();
    // Anpassen des Dialogfelds Fortschritt
    void SetRange(int nLower,int nUpper);
    int  SetStep(int nStep);
    int  SetPos(int nPos);
    int  OffsetPos(int nPos);
    int  StepIt();
        
// Dialogfelddaten
    //{{AFX_DATA(CProgressDlg)
    enum { IDD = CG_IDD_PROGRESS };
    CProgressCtrl	m_Progress;
    //}}AFX_DATA

// berschreibungen
    // Vom Klassen-Assistenten generierte berschreibungen virtueller Funktionen
    //{{AFX_VIRTUAL(CProgressDlg)
    public:
    virtual BOOL DestroyWindow();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
    //}}AFX_VIRTUAL

// Implementierung
protected:
	UINT m_nCaptionID;
    int m_nLower;
    int m_nUpper;
    int m_nStep;
    
    BOOL m_bCancel;
    BOOL m_bParentDisabled;

    void ReEnableParent();

    virtual void OnCancel();
    virtual void OnOK() {}; 
    void UpdatePercent(int nCurrent);
    void PumpMessages();

    // Generierte Nachrichtenzuordnungsfunktionen
    //{{AFX_MSG(CProgressDlg)
    virtual BOOL OnInitDialog();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif // __PROGRESSDLG_H__
